mia-2dmyocard-ica
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dmyocard-ica

#### Sysnopis:

`mia-2dmyocard-ica` {-i `io`} [ `options` ...]

#### Description:

This program is used to run a ICA on a series of myocardial perfusion images to create sythetic references that can be used for motion correction by image registration. If the aim is to run a full motion compensation then it is better to create a segmentation set and use mia-2dmyoica-nonrigid. If the input data is given by means of a segmentation set, then on can also use mia-2dmyocard-icaseries. This program is essentially used to test different options on how to run the ICA forreference image creation.

#### Options:

-i, --in-base=(input, required); io

  input file name ofolloing pattern nameXXXX.ext X=numbers. For supported file types see Plugin type: 2dimage/io

--coefs=STRING

  output mixing coefficients to this file

-o, --out-base=(output); string

  output file name base

-t, --type=exr; set

  output file type Supported values are:(-, @, BMP, DCM, EXR, JPEG, JPG, PNG, RAW, TIF, TIFF, V, VISTA, bmp, dcm, exr, jpeg, jpg, png, raw, tif, tiff, v, vista, )

-k, --skip=2; ulong

  skip images at beginning of series

-e, --end=60; ulong

  last image in series

-C, --components=0; ulong

  nr. of components, 0=estimate automatically

-m, --strip-mean

  strip mean image from series

-f, --save-features=STRING

  save feature image

-p, --strip-periodic

  strip only periodic component

--fastica=internal; factory

  FastICA implementationto be used. For supported plug-ins see Plugin type: fastica/implementation

-x, --max-ica-iterations=0; int

  max ICA solver iterations

-n, --ica-normalize

  ica_normalize feature images

--all-features=STRING

  save all feature images to

-L, --LV-crop-amp=0; float

  LV crop mask amplification, 0.0 = don't crop

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the synthetic references from images imageXXXX.exr and save them to refXXXX.exr by using five independent components, mean stripping, normalizing, and skipping 2 images.

    mia-2dmyocard-ica -i imageXXXX.exr -o ref -k 2 -C 5 -m -n

#### Author(s):

Gert Wollny

Prev | Up | Next
Tools for Myocardial Perfusion Analysis | Home | mia-2dmyocard-icaseries